<?
include 'inclydings/gzips.php';
include_once("mysql.php");
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("inclydings/zag.php");
include 'inclydings/ini.php';
if (isset($user)) {

switch($id) {

default:

if (is_file('pic/'.$log.'.gif'))
{
echo'<img src="pic/'.$log.'.gif" width="300" height="220" alt="pic"/><br/><br/>';} else {
if($udata[2]=="Ж" && $udata[26]=="kamael"){echo'<img src="pik4erspic/personals/kamaelwoman.gif" alt="pic"/><br/>';}
if($udata[2]=="M" && $udata[26]=="kamael"){echo'<img src="pik4erspic/personals/kamaelmen.gif" alt="pic"/><br/>';}

if($udata[2]=="Ж" && $udata[26]=="human"){echo'<img src="pik4erspic/personals/humanwoman.gif" alt="pic"/><br/>';}
if($udata[2]=="M" && $udata[26]=="human"){echo'<img src="pik4erspic/personals/humanmen.gif" alt="pic"/><br/>';}

if($udata[2]=="Ж" && $udata[26]=="elf"){echo'<img src="pik4erspic/personals/elfwoman.jpg" alt="pic"/><br/>';}
if($udata[2]=="M" && $udata[26]=="elf"){echo'<img src="pik4erspic/personals/elfmen.jpg" alt="pic"/><br/><br/>';}

if($udata[2]=="Ж" && $udata[26]=="darkelf"){echo'<img src="pik4erspic/personals/darkelfwoman.gif" alt="pic"/><br/>';}
if($udata[2]=="M" && $udata[26]=="darkelf"){echo'<img src="pik4erspic/personals/darkelfmen.gif" alt="pic"/><br/><br/>';}

if($udata[2]=="Ж" && $udata[26]=="gnom"){echo'<img src="pik4erspic/personals/gnomwoman.gif" alt="pic"/><br/>';}
if($udata[2]=="M" && $udata[26]=="gnom"){echo'<img src="pik4erspic/personals/gnommen.gif" alt="pic"/><br/><br/>';}

if($udata[2]=="Ж" && $udata[26]=="ork"){echo'<img src="pik4erspic/personals/orkwoman.gif" alt="pic"/><br/>';}
if($udata[2]=="M" && $udata[26]=="ork"){echo'<img src="pik4erspic/personals/ork.gif" alt="pic"/><br/>';}}
$udata[19] = number_format($udata[19]);
$udata[31] = number_format($udata[31]);
$udata[8] = number_format($udata[8]);
echo"<br/><a href=\"uslugi.php?$sd\">lvl:</a> $udata[9]<br/>
<font color=red>HP: $udata[16]</font><br/>
<font color=blue>MP: $udata[29]</font><br/>
<font color=#F0E68C>SP: $udata[31]</font><br/>
EXP: $udata[19]<br/><br/>
<img src='pik4erspic/mini/aden.gif' alt='pic'/> Аден: $udata[8]<br/>
<img src='pik4erspic/mini/gold1.png' alt='pic'/> Голдов: $udata[95]<br/>
<img src='pik4erspic/mini/gold.gif' height=12 width=12 > <font color=yellow>Coin of Luck</font>: $udata[14]<br/>
<img src='pik4erspic/mini/pe4.png' alt='pic'/> Древних аден: $udata[74]<br/><br/>";
if(!empty($udata[33])){echo"Профессия: <font color=red><b>$udata[33]</b></font><br/>";}
if(!empty($udata[23])){echo"Вы в клане - $udata[23]<br/><a href=\"outclan.php?$sd&id=$udata[24]&name=$log&lider=$udata[23]\">Выйти из клана</a><br/>";}else{echo"Вы не в клане<br/><br/>";}
if(@file("data/ali/names/$log.dat") && $udata[23]==$log){
echo"<a href=\"ali.php?$sd&go=out\">Выйти из альянса</a><br/><br/>";
}else{echo"<br/>";}
$udata[3] = number_format($udata[3]);
echo"Физические параметры:<br/>";
echo"Магическая Защита: $udata[99]<br/>";
echo"Физическая Защита: $udata[3]<br/>";
if($udata[32]=="on"){
echo"Soulshots: Включены!<br>";
$met=$udata[4]*2;
$met = number_format($met);
echo"Физическая Атака: $met<br/>";}else{
$udata[4] = number_format($udata[4]);
echo"Soulshots: Выключены!<br>";
echo"Физическая Атака: $udata[4]<br/>";}
echo"Выносливость: $udata[5]<br/>";

if($udata[32]=="on"){
echo"[<a href=\"pers.php?$sd&go=go\">Выключить Soulshots</a>]<br>";}
echo"<center>Статистика персонажа:</center><br/>
Побед: $udata[6]<br/>
Поражений: $udata[7]<br/>
Всего сражений $udata[78]<br/>
Выполнено квестов $udata[44]<br/>";



break;

case 'go';
$textu = @file("L2dbnam/esql2db/reg/$log.dat"); 
$udata = explode(":||:",$textu[0]);
$udata[32]="off";

$textu=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$udata[25].':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:';


$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");  
flock ($fp,LOCK_EX); 
ftruncate ($fp,0);                                                              
fputs($fp,"$textu");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);

echo"Soulshots выключенны!";
echo"<br> <a href=\"pers.php?$sd\">Назад</a><br/>";
break;}



}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"inclydings/down.php";
?>